<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
		xmlns:fo="http://www.w3.org/1999/XSL/Format" 
         	xmlns:fox="http://xml.apache.org/fop/extensions"
		xmlns:java="http://xml.apache.org/xslt/java">
	<xsl:template match="HL7v2xConformanceProfile" mode="DocInfo">
		<fo:block font-size="14pt" font-family="sans-serif" font-weight="bold" keep-with-previous="always" space-after.optimum="6pt">
		<xsl:attribute name="id">
			<xsl:text>DocInfo</xsl:text>
		</xsl:attribute>		
		</fo:block>
		<fox:outline internal-destination="DocInfo">
    				<fox:label>Document Information</fox:label>
  		</fox:outline>
		<xsl:call-template name="ShowDocProperty">
			<xsl:with-param name="Label">Copyright notice</xsl:with-param>
			<xsl:with-param name="Value">
				<xsl:value-of select="document('DocInfo.xml')/DocumentInformation/Copyright"/>	
			</xsl:with-param>
		</xsl:call-template>

          <xsl:apply-templates select="." mode="DocIinfo"/>
		<xsl:call-template name="ShowDocProperty">
			<xsl:with-param name="Label">Publication date</xsl:with-param>
			<xsl:with-param name="Value">
				<xsl:value-of select="document('DocInfo.xml')/DocumentInformation/PublicationDate"/>	
			</xsl:with-param>
		</xsl:call-template>

		<xsl:call-template name="ShowDocProperty">
			<xsl:with-param name="Label">McKesson publication number</xsl:with-param>
			<xsl:with-param name="Value">
				<xsl:value-of select="document('DocInfo.xml')/DocumentInformation/PublicationNumber"/>	
			</xsl:with-param>
		</xsl:call-template>

		<xsl:call-template name="ShowDocProperty">
			<xsl:with-param name="Label">Corporate address</xsl:with-param>
			<xsl:with-param name="Value">
				<xsl:value-of select="document('DocInfo.xml')/DocumentInformation/CorporateAddress"/>	
			</xsl:with-param>
		</xsl:call-template>

		<xsl:call-template name="ShowDocProperty">
			<xsl:with-param name="Label">Trademarks</xsl:with-param>
			<xsl:with-param name="Value">
				<xsl:value-of select="document('DocInfo.xml')/DocumentInformation/Trademarks"/>	
			</xsl:with-param>
		</xsl:call-template>
		<fo:block font-size="12pt" font-family="sans-serif" font-weight="bold"  break-before="page"/>
  </xsl:template>

</xsl:stylesheet>
